﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\PDM1\CVP_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_TEMPLATE') 
 CREATE TABLE T_CVP_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTEMPIMG VARCHAR(1000) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTEMPLATEMAP NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATEDATE DATETIME,
FISVALID CHAR(1) DEFAULT '1' NOT NULL,
FTEMPTAGEINFO NCLOB DEFAULT ' ',
FREFERENCEIMG VARCHAR(1000) DEFAULT ' ' NOT NULL,
FTEMPRENFENCEINFO NCLOB DEFAULT ' ',
FTEMPTABLEHEAD NCLOB DEFAULT ' ',
FTESTIMGPATH VARCHAR(1000) DEFAULT ' ' NOT NULL,
FALGOID NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_TEMPLATE_L') 
 CREATE TABLE T_CVP_TEMPLATE_L (
FPKID VARCHAR(18) DEFAULT '0' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_PLAN') 
 CREATE TABLE T_CVP_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSOBJECT NVARCHAR(255) DEFAULT ' ',
FDESCRIPTION NVARCHAR(255) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTEMPLATECONFIG NCLOB DEFAULT ' ',
FTEMPLATENUMBER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_PLAN_TEMPLATE') 
 CREATE TABLE T_CVP_PLAN_TEMPLATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_PLAN_CONFIG') 
 CREATE TABLE T_CVP_PLAN_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATENUMBER NVARCHAR(255) DEFAULT ' ',
FTEMPLATECONFIG NCLOB DEFAULT ' ',
FPLANNUMBER NVARCHAR(255) DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_TEMPLATE_CONFIG') 
 CREATE TABLE T_CVP_TEMPLATE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FSTEP2HELPERSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FSTEP3HELPERSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FUSERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYDATE DATETIME
);



/**End D:\work_word\PDM\PDM_UPGRADE\PDM1\CVP_table.sql **/
