﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLS_PUSH_CONFIG') 
 CREATE TABLE T_CVP_CLS_PUSH_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYOWORD VARCHAR(1000) DEFAULT ' ',
FCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FINCLUDEDTEMPLATE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLS_PUSH_CONFIG_R3') 
 CREATE TABLE T_CVP_CLS_PUSH_CONFIG_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT ' '
);

/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/

/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CVP_CLS_PUSH_CONFIG', 'T_CVP_CLS_PUSH_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLS_PUSH_CONFIG') CREATE INDEX IDX_CVP_CLS_PUSH_CONFIG ON T_CVP_CLS_PUSH_CONFIG ( FCLASSIFYID );


 EXEC P_ALTERPK 'PK_T_CVP_CLS_PUSH_CONFIG_R3', 'T_CVP_CLS_PUSH_CONFIG_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLS_PUSH_CONFIG_R3') CREATE INDEX IDX_CVP_CLS_PUSH_CONFIG_R3 ON T_CVP_CLS_PUSH_CONFIG_R3 ( FREFSTATUS );



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
